<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>NLU demo</title>
    <script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs@0.15.3/dist/tf.min.js"></script>
    <script src="nlu.js"></script>
    <style>
      body {
        font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
      }
      div#root {
        position: fixed;
        top: 0px;
        bottom: 0px;
        left: 0px;
        right: 0px;
        display: flex;
        flex-direction: column;
        justify-content: stretch;
        align-items: center
      }
      div#main {
        position: absolute;
        top: 0px;
        bottom: 0px;
        display: flex;
        flex-direction: column;
        justify-content: stretch;
        align-items: stretch;
        width: 100%;
        max-width: 12cm;
        box-shadow: 0px 0px 10px #808080;
        line-height: 120%;
        background: #00a0a0;
        color: white;
      }
      div.content {
        margin: 10mm;
      }
      textarea#text {
        width: 100%;
        border: solid rgba(255,255,255,0.1) 2mm;
        background: rgba(255,255,255,0.2);
        border-radius: 5mm;
        color: white;
        font-family: 'Lucida Sans Unicode', 'Lucida Grande', sans-serif;
      }
      button#predict {
        margin: 3mm;
        font-size: larger;
        color: #008080;
        background: #f0f0f0;
        border: solid black 0px;
        border-radius: 10mm;
        padding: 3mm;
        width: 3cm;
      }
      span#result {
        font-size: larger;
        margin: 3mm;
        border: solid rgba(255,255,255,0.5) 1mm;
        background: white;
        border-radius: 10mm;
        color: white;
        font-family: 'Lucida Sans Unicode', 'Lucida Grande', sans-serif;
        float: right;
        padding: 3mm
      }
    </style>
  </head>
  <body>
    <div id="root">
      <div id="main">
	<div class="content">
	<p>Hei! Mites tänään sujuu?</p>
	<textarea rows="3" id="text" name="text" onkeypress="if (event.keyCode == 13) changed(); return true;">ihan hyvin menee</textarea>
	<button id="predict" onclick="changed()" >Tulkitse</button>
	<span id="result">&nbsp;</span>
	</div>
      </div>
    </div>
  </body>
</html>
